package cn.com.ty.lift.ud.templateBase.service;

import cn.com.ty.lift.ud.templateBase.controller.query.MaintenanceSetQuery;
import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetEntity;
import cn.com.ty.lift.ud.templateBase.mapper.entity.MaintenanceSetVo;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 维保套餐 -Service
 *
 * @author Xson
 * @date 2020-04-29
 */
public interface IMaintenanceSetService extends IService<MaintenanceSetEntity> {

    void updateByIds(List<Long> ids, Integer s);

    void delete(long id);

    void deleteBatch(Collection<Long> ids);

    RestResponse selectByExample(MaintenanceSetQuery request);

    RestResponse saveInfo(MaintenanceSetEntity maintenanceSet);

    MaintenanceSetVo getInfoById(Long id);


    RestResponse updateInfoById(MaintenanceSetEntity request);
}
